#!/bin/bash -x

# ./rsync_master.sh mirrors.kernel.org debian pool/

DIST=$1
NAME=$2

STAMP=`date +%Y.%m.%d.%H%M%S`

if [ "$2" == "" ]; then
	echo $0 "<RESULT> <DIST>"
	exit
fi

touch $DIST/$STAMP.$NAME

git add --all
git commit -m "$DIST $NAME"
exit

if [ -f "$BASE/$DIST.status.RUNNING" ]; then
	echo rsync already running on $BASE/$DIST.status.RUNNING
	exit -1
fi
rsync $ARG $ARGD $SOURCE $DEST
RETURN=$?
rm $BASE/$DIST.status.RUNNING
echo rsync returned: $RETURN
if [ "$RETURN" == "0" ]; then
	echo should echo OK into a google check file
	echo OK > $BASE/STATUS
	touch $BASE/$DIST.status.OK
	touch $BACKUPDIR".log.OK"
else
	echo should echo ERROR into a google check file
	echo FAIL > $BASE/STATUS
	touch $BASE/$DIST.status.FAIL
	touch $BACKUPDIR".log.FAIL"
fi
